Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# IR_Handler Class Reference

Handler class for <implementationrequirement> type. More...

`#include <IR_Handler.h>`

Inheritance diagram for IR_Handler:

[legend]
Collaboration diagram for IR_Handler:

[legend]
List of all members.

## Public Member Functions
| IR_Handler (DOMDocument *doc, unsigned long filter_)
| constructor
| IR_Handler (DOMNodeIterator *iter, bool release=false)
| constructor
| IR_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| constructor
void | process_ImplementationRequirement (::Deployment::ImplementationRequirement &ir)
| Process the package configuration.
## Protected Member Functions
void | process_resourceUsage (const XMLCh *name,::Deployment::ImplementationRequirement &ir)
| Process the resourceUsage attribute.
void | process_resourcePort (const XMLCh *name,::Deployment::ImplementationRequirement &ir)
| Process the resourcePort attribute.
void | process_componentPort (const XMLCh *name,::Deployment::ImplementationRequirement &ir)
| Process the componentPort attribute.
void | process_name (const XMLCh *name,::Deployment::ImplementationRequirement &ir)
| Process the label attribute.
void | process_resourceType (const XMLCh *name,::Deployment::ImplementationRequirement &ir)
| Process the label attribute.

## Detailed Description

Handler class for <implementationrequirement> type.

This class defines handler methods to parse Implementation Requirement types in the descriptor files. The corresponding CORBA IDL type for the schema element is returned.

## Constructor & Destructor Documentation

IR_Handler::IR_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

| constructor

IR_Handler::IR_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

IR_Handler::IR_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

## Member Function Documentation

void IR_Handler::process_componentPort | ( | const XMLCh * | name,
|  | ::Deployment::ImplementationRequirement & | ir
| ) | `[protected]`

| Process the componentPort attribute.

BEGIN_DEPLOYMENT_NAMESPACE void IR_Handler::process_ImplementationRequirement | ( | ::Deployment::ImplementationRequirement & | ir | ) |

| Process the package configuration.

void IR_Handler::process_name | ( | const XMLCh * | name,
|  | ::Deployment::ImplementationRequirement & | ir
| ) | `[protected]`

| Process the label attribute.

void IR_Handler::process_resourcePort | ( | const XMLCh * | name,
|  | ::Deployment::ImplementationRequirement & | ir
| ) | `[protected]`

| Process the resourcePort attribute.

void IR_Handler::process_resourceType | ( | const XMLCh * | name,
|  | ::Deployment::ImplementationRequirement & | ir
| ) | `[protected]`

| Process the label attribute.

void IR_Handler::process_resourceUsage | ( | const XMLCh * | name,
|  | ::Deployment::ImplementationRequirement & | ir
| ) | `[protected]`

| Process the resourceUsage attribute.

The documentation for this class was generated from the following files:

- IR_Handler.h
- IR_Handler.cpp